AM261x MCU+ SDK: EDMA_Attrs Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
EDMA_Attrs Struct Reference
APIs for SOC Specific Device Drivers » APIs for EDMA

## Detailed Description

EDMA instance attributes - used during init time.

## Data Fields
uint32_t | baseAddr
uint32_t | tcBaseAddr [SOC_EDMA_NUM_TPTC]
EDMA_InitParams | initPrms
uint32_t | compIntrNumber
uint8_t | intrPriority
uint32_t | errIntrNumber
uint8_t | errIntrPriority
uint32_t | intrAggEnableAddr
uint32_t | intrAggEnableMask
uint32_t | intrAggStatusAddr
uint32_t | intrAggClearMask
uint32_t | errIntrAggEnableAddr
uint32_t | errIntrAggEnableMask
uint32_t | errIntrAggStatusAddr
uint32_t | errIntrAggRawStatusAddr
uint32_t | errIntrAggClearMask

## Field Documentation

## ◆ baseAddr

uint32_t EDMA_Attrs::baseAddr

TPCC base address

## ◆ tcBaseAddr

uint32_t EDMA_Attrs::tcBaseAddr[SOC_EDMA_NUM_TPTC]

TPCC base address

## ◆ initPrms

EDMA_InitParams EDMA_Attrs::initPrms

Init params

## ◆ compIntrNumber

uint32_t EDMA_Attrs::compIntrNumber

Completion interrupt number.

## ◆ intrPriority

uint8_t EDMA_Attrs::intrPriority

Interrupt priority.

## ◆ errIntrNumber

uint32_t EDMA_Attrs::errIntrNumber

Error interrupt number.

## ◆ errIntrPriority

uint8_t EDMA_Attrs::errIntrPriority

Error Interrupt priority.

## ◆ intrAggEnableAddr

uint32_t EDMA_Attrs::intrAggEnableAddr

Interrupt Aggregator enable address

## ◆ intrAggEnableMask

uint32_t EDMA_Attrs::intrAggEnableMask

Interrupt Aggregator enable mask

## ◆ intrAggStatusAddr

uint32_t EDMA_Attrs::intrAggStatusAddr

Interrupt Aggregator enable address

## ◆ intrAggClearMask

uint32_t EDMA_Attrs::intrAggClearMask

Interrupt Aggregator clear mask

## ◆ errIntrAggEnableAddr

uint32_t EDMA_Attrs::errIntrAggEnableAddr

Error Interrupt Aggregator enable address

## ◆ errIntrAggEnableMask

uint32_t EDMA_Attrs::errIntrAggEnableMask

Error Interrupt Aggregator enable mask

## ◆ errIntrAggStatusAddr

uint32_t EDMA_Attrs::errIntrAggStatusAddr

Error Interrupt Aggregator status address

## ◆ errIntrAggRawStatusAddr

uint32_t EDMA_Attrs::errIntrAggRawStatusAddr

Error Interrupt Aggregator raw status address

## ◆ errIntrAggClearMask

uint32_t EDMA_Attrs::errIntrAggClearMask

Error Interrupt Aggregator clear mask